Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Jeroen Desloovere
    @jeroendesloovere
    What does "Paste recursive, updating references" do?
    I've read here and there discussions about it, but when I try these copy/paste functionality, none seem to do what you expect.
    1 reply
    Wael-Hamdan
    @Wael-Hamdan
    Hello
    Is it possible to schedule two Data Importers in a way that the second one starts only after the first Data Importer finishes?
    vaishaliPimcore
    @vaishaliPimcore
    image.png
    1 reply
    any idea of this error, When I am trying to rebuild after migrate V6 to V10?
    Martina Lindenhofer
    @MLindenhofer
    Bildschirmfoto 2021-12-17 um 12.06.57.png - Hi, I have a question on DataImporters Transformation Pipeline "As Gallery" - I want to import these 2 images from my assets to the Gallery of this product. When choosing "As Gallery" I got: ERROR: Unsupported input type 'default' for gallery operator at transformation position 1 - where is the mistake?
    Chauhan Mukesh
    @Chauhan-Mukesh
    hi is there any bundle with help of that i can set cronjobs using UI
    1 reply
    Jesus Valera Reales
    @JesusValera
    The class Pimcore\Tool\RestClient\AbstractRestClient was mark as @deprecated on 6.9 and disappear at 10.x, is there any other class alternative? What can I do? :)
    Kumar Praveen
    @kumar2112
    Hi
    may we use matteronix theme with pimcore
    ?
    Hello @all community members
    may we change the ui theme of pimcore.can we use matteronix themes
    Katarzyna Kajzar
    @katwer

    Try to install latest pimcore on ubuntu 20, what's wrong?
    `
    Problem 1

    - pimcore/pimcore 10.0.8 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.6 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.7 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.0.9 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.1.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.0 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.1 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.2 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.3 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.4 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.5 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - pimcore/pimcore v10.2.6 requires ocramius/package-versions ^2.3 -> satisfiable by ocramius/package-versions[2.3.0, 2.4.0].
    - ocramius/package-versions 2.4.0 requires composer-runtime-api ^2.1.0 -> no matching package found.
    - ocramius/package-versions 2.3.0 requires composer-runtime-api ^2.0.0 -> no matching package found.
    - Installation request for pimcore/pimcore ^10.0 -> satisfiable by pimcore/pimcore[10.0.8, v10.0.0, v10.0.1, v10.0.2, v10.0.3, v10.0.4, v10.0.5, v10.0.6, v10.0.7, v10.0.9, v10.1.0, v10.1.1, v10.1.2, v10.1.3, v10.1.4, v10.1.5, v10.2.0, v10.2.1, v10.2.2, v10.2.3, v10.2.4, v10.2.5, v10.2.6].

    `

    3 replies
    Kumar Praveen
    @kumar2112
    $this->db is null when trying to creating a custom modle
    any one have idea
    Call to a member function fetchAll() on null
    image.png
    Michael Frank
    @ITspirit

    Is there a possibility to configure via twig command, which colums should displayed for the Relation Editable?
    https://pimcore.com/docs/pimcore/10.1/Development_Documentation/Documents/Editables/Relations_(Many-To-Many).html

    I would like to hide the type/suptype folder in editmode - if possible.

    Stefan Curcan
    @curcanstefan
    hello, I need a hint in the right direction;
    I want to restrict creation of DataObject to a specific class; is there a way to implement this restriction in class definition or in admin UI (settings) ?
    3 replies
    Alexander Gaal
    @alexander.gaal_gitlab
    Hi, I'm working on a pimcore project at the moment and as soon as I try to use thumbnails I get following error in my logs:
    [2021-12-20T19:24:55.243422+00:00] pimcore.ERROR: Couldn't create thumbnail of image /Ausweisbilder/244_2021-12-17-12-40-31_portrait.JPG [] []
    [2021-12-20T19:24:55.244283+00:00] pimcore.ERROR: Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: The "Symfony\Component\Lock\LockFactory" service or alias has been removed or inlined when the container was compiled. You should either make it public, or stop using the container directly and use dependency injection instead. in /var/www/html/vendor/symfony/dependency-injection/Container.php:257 Stack trace: #0 /var/www/html/vendor/symfony/dependency-injection/Container.php(219): Symfony\Component\DependencyInjection\Container->make('Symfony\\Compone...', 1) #1 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail/Processor.php(219): Symfony\Component\DependencyInjection\Container->get('Symfony\\Compone...') #2 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail.php(170): Pimcore\Model\Asset\Image\Thumbnail\Processor::process(Object(Pimcore\Model\Asset\Image), Object(Pimcore\Model\Asset\Image\Thumbnail\Config), NULL, false, false) #3 /var/www/html/vendor/pimcore/pimcore/models/Asset/Thumbnail/ImageThumbnailTrait.php(115): Pimcore\Model\Asset\Image\Thumbnail->generate(false) #4 /var/www/html/vendor/pimcore/pimcore/models/Asset/Image/Thumbnail.php(110): Pimcore\Model\Asset\Image\Thumbnail->getPathReference(false) #5 /var/www/html/vendor/pimcore/pimcore/bundles/CoreBundle/Controller/PublicServicesController.php(130): Pimcore\Model\Asset\Image\Thumbnail->getStream() #6 /var/www/html/vendor/symfony/http-kernel/HttpKernel.php(156): Pimcore\Bundle\CoreBundle\Controller\PublicServicesController->thumbnailAction(Object(Symfony\Component\HttpFoundation\Request)) #7 /var/www/html/vendor/symfony/http-kernel/HttpKernel.php(78): Symfony\Component\HttpKernel\HttpKernel->handleRaw(Object(Symfony\Component\HttpFoundation\Request), 1) #8 /var/www/html/vendor/symfony/http-kernel/Kernel.php(199): Symfony\Component\HttpKernel\HttpKernel->handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #9 /var/www/html/public/index.php(35): Symfony\Component\HttpKernel\Kernel->handle(Object(Symfony\Component\HttpFoundation\Request)) #10 {main} [] []
    [2021-12-20T19:24:55.244339+00:00] pimcore.ERROR: Thumbnail with name 'portrait' doesn't exist [] []
    2 replies
    We tried to upgrade it from 10.2.1 to 10.2.6 but it did not work. In other projects we are working with thumbnails as well and it's working perfectly fine.
    I'd appreciate, if someone of you could help me out with this!
    Yves Serrano
    @yvess
    Hi. I'm trying to use a calculated value in a field collection, how to get the context of the current field collection. I only see the data object where the field collection is attached to but not the context of the current field collection
    1 reply
    Tebin Ulrich
    @tebin.ulrich_gitlab
    Trying to install the data-hub-file-export and getting a composer error "Could not find a matching version of package pimcore/data-hub-file-export" with a freshly installed version of pimcore with datahub and process manager.. Anyone has any idea?
    1 reply
    Jp
    @VeiJar1
    Hey, I have a security related question: does Pimcore / Symfony / Doctrine sanitize Request class input if the data is provided via REST API?
    Timon Watteny
    @Timonwatteny
    Screenshot 2021-12-22 at 09.58.26.png
    Could anyone tell me in what version/milestone the Reports Config permission was added?
    Didn't find any related ticket.
    Jp
    @VeiJar1

    Hey, I have a security related question: does Pimcore / Symfony / Doctrine sanitize Request class input if the data is provided via REST API?

    Anyone has an idea?

    Jp
    @VeiJar1
    Anyone has an idea that which is the default order in which Listing returns my DataObjects, if I don't provide the OrderKey? also what field does it check for this Order in the SQL query?
    Mladen Maksimovic
    @Maksonis
    image.png
    rolldone
    @rolldone
    Hi i'm a newbie pimcore. Which better for trial pimcore version, is it pimcore 10 or old version?. Because i check pimcore 10 is very new, and lack of documentation and problem solve.
    johanlindgren
    @johanlindgren
    You should go for latest version if you are new. I would recommend installing the demo setup following composer based install. That will show you Pimcore and get a chans to learn. Skeleton setup is though better for your projects later on
    clin12345
    @clin12345
    hi all im new to pimcore..and im installing advanced-object-search bundle,everything work normally except when im trying to search an object bricks..its throwing an error "Call to undefined method getName in class Pimcore\Model\DataObject\Objectbrick\Definition", can someone help me..thank you very much (im using pimcore 6.9.6, advanced search 4.2.3, elastic search 6.8.6)
    Tebin Ulrich
    @tebin.ulrich_gitlab
    i have a product in pimcore with variants.. is it possible to decouple a variant and make it its own product
    TroubleMaker
    @inweol
    Is there a pimcore admin?
    I reported a vulnerability through huntr.dev, but there is no action for 2 weeks. Can you confirm?
    Wouter Samyn
    @samynw
    @inweol You can report security vulnerabilities by mail, see: https://github.com/pimcore/pimcore/blob/10.x/SECURITY.md#reporting-a-vulnerability
    baloraki
    @baloraki
    Hi all,
    I want to run a create react app at the root level.
    Does anyone have a tip on how I can do this?
    2 replies
    Martina Lindenhofer
    @MLindenhofer
    Bildschirmfoto 2022-01-05 um 10.53.46.png
    Hi I'm trying to render my ImageGallery in my template, and tried to return the images as parameter in the return statement of my action. But how can I deal with this param in the template itself? I just don't get it. Template code:
    Bildschirmfoto 2022-01-05 um 10.54.18.png
    6 replies
    Katarzyna Kajzar
    @katwer
    hello!
    whitch way could I check in controller extends FrontendController, if any user logged in?
    pimcore 6.9
    1 reply
    Michael Frank
    @ITspirit
    Is there a way to add custom "Portlet" to the (Welcome)Dashboard?
    CouldnĀ“t find anything about creating custom Portlets in the documentation.
    Dominik Ager
    @dominikager
    Hey, did anybody get this error " The schema provider is not available. " when running php bin/console doctrine:migrations:diff
    2 replies
    Kumar Praveen
    @kumar2112
    Hi
    how to to disable autosave
    Raj kumar
    @rajkumarBT_gitlab
    Hi
    Razvan Oltean
    @razvanSE
    Hi, anyone else using the pimcore/pimcore:PHP8.0-apache docker image, and now getting : "Mapping definitions for Doctrine manager "default" require at least the "type", "dir" and "prefix" options." when deploying?
    Nuo Xu
    @chrisxu333
    1641834029(1).png
    Does anybody know why it shows this when I try to install the application?
    1 reply